import { computed } from 'vue'
import { defineStore } from 'pinia'
import { useLocalStorage } from '@vueuse/core'

export const useMercuryStore = defineStore({
  id: 'mercuryStore',
  state: () => ({
    user: useLocalStorage('user', {
      name: '',
      color: null
    }),
    connected: false,
    mobile: false,
    showSidebar: true
  }),
  getters: {
    configured: (state) => {
      return () => computed(() => {
        return state.user?.name.trim() !== '' && state.user?.color !== undefined
      })
    }
  },
  actions: {
    setConnectionState(state) {
      this.connected = state
    },
    setUserName(name) {
      this.user.name = name
    },
    setUserColor(color) {
      this.user.color = color
    }
  }
})
